Rygel.PluginLoader Reference Manual

# PluginLoader

## Object Hierarchy:

## Description:

public class PluginLoader : `Object`

Responsible for plugin loading. Probes for shared library files in a specific directry and tries to grab a function with a specific name and signature, calls it. The loaded module can then add plugins to Rygel by calling the add_plugin method. NOTE: The module SHOULD make sure that plugin is not disabled by user using plugin_disabled method before creating the plugin instance and resources related to that instance.

Namespace: Rygel
Package: librygel-core

## Content:

### Creation methods:

- public PluginLoader ()

### Methods:

- public void load_plugins ()
- public `bool` plugin_disabled (`string` name)
  Checks if a plugin is disabled by user
- public void add_plugin (Plugin plugin)
- public Plugin? get_plugin_by_name (`string` name)
- public `Collection`<Plugin> list_plugins ()

### Signals:

- public signal void plugin_available (Plugin plugin)